List pending cluster registrations
GET
/license/pending-clusters
const url = 'https://shoehorn.example.com/api/v1/license/pending-clusters';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shoehorn.example.com/api/v1/license/pending-clustersAgents that register a cluster past the tenant’s purchased capacity park here for admin approval. Returns an empty array when nothing is pending.
Responses
Section titled “ Responses ”Pending registrations
Media type application/json
Array<object>
object
cluster_id
required
string
name
required
string
first_attempted_at
required
string format: date-time
last_attempted_at
required
string format: date-time
attempts
required
integer
Example generated
[ { "cluster_id": "example", "name": "example", "first_attempted_at": "2026-04-15T12:00:00Z", "last_attempted_at": "2026-04-15T12:00:00Z", "attempts": 1 }]